
%global meadversion 1.1.2
%global namedversion 1.1.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package insights-java-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.2.redhat-00001

Name:           %{?scl_prefix}insights-java-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Insights Java Client
Group:          Development/Java

%if %with mead
Source100: runtimes-java-1.1.2.redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://github.com/RedHatInsights/insights-java-client
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for insights java client
Group:          Development/Java

Provides:       %{?scl_prefix}insights-java-client-javadoc = %{epoch}:%{version}-%{release}
BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n runtimes-java-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/runtimes-java-api-%{namedversion}.jar %{buildroot}%{_javadir}/runtimes-java-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/runtimes-java-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/runtimes-java-api-%{namedversion}-javadoc.jar
%endif
%if 0
%{__cp} -p %{_sourcedir}/runtimes-java-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/runtimes-java-api-%{namedversion}-sources.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/insights-java-client-%{namedversion}
unzip -qq %{_sourcedir}/insights-java-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/insights-java-client-%{namedversion} -x META-INF/\*
%{__ln_s} insights-java-client-%{namedversion} %{buildroot}%{_javadocdir}/insights-java-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}insights-java-client
%defattr(0644,root,root,0755)
%doc LICENSE
%defattr(0644,root,root,0755)
%{_javadir}/runtimes-java-api-%{namedversion}.jar
%{_javadir}/runtimes-java-api.jar
%if %with javadoc
%{_javadir}/runtimes-java-api-%{namedversion}-javadoc.jar
%{_javadir}/runtimes-java-api-javadoc.jar
%endif
%if 0
%{_javadir}/runtimes-java-api-%{namedversion}-sources.jar
%{_javadir}/runtimes-java-api-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/insights-java-client-%{namedversion}
%{_javadocdir}/insights-java-client
%endif

%changelog
* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 1.1.2-1.redhat_00001.1
- Built by CPaaS

* Tue Dec 19 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.1.1-1.redhat_00001.1
- Built by CPaaS

* Tue Jul 04 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.9-1.redhat_00001.1
- Built by CPaaS

* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.8-1.redhat_00001.1
- Built by CPaaS

* Thu Apr 20 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.1-1.redhat_00001.1
- Building new wrapper

* Tue Apr 11 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-3.redhat_00002.1
- 1.0.0.redhat-00002

* Mon Apr 03 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-2.Beta5_redhat_00001.1
- 1.0.0.Beta5-redhat-00001

* Fri Mar 17 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-1.Beta2_redhat_00001.1
- 1.0.0.Beta2-redhat-00001

